0

I upgraded my system using yay -Syu and some of programs and commands are throwing import errors when I try to run them.

For example:

cura:

Traceback (most recent call last):
  File "/usr/bin/cura", line 24, in <module>
    import Savitar  # @UnusedImport
ModuleNotFoundError: No module named 'Savitar'

blueman:

Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 15, in <module>
    from blueman.Functions import create_logger, create_parser, set_proc_title
ModuleNotFoundError: No module named 'blueman'

ranger:

Traceback (most recent call last):
  File "/usr/bin/ranger", line 35, in <module>
    import ranger  # NOQA pylint: disable=import-self,wrong-import-position
ModuleNotFoundError: No module named 'ranger'

When I try to install these packages pacman and yay are saying there are installed. How can I fix this?

Thank you for help. I am very nervous about this because it has huge impact on my work on collage related stuff. Thanks to everyone for your time and help.

1 Answer 1

0

Solution was to go to /etc/pacman.conf and uncommnet

[testing]
Include = /etc/pacman.d/mirrorlist

and

[multilib-testing]
Include = /etc/pacman.d/mirrorlist

Than run sudo pacman -Syyuu. It will take a while but at the end everything should be fixed.

1
  • ....but why does your solution work? What does it do? How does it achieve it? May 15, 2023 at 10:26

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .